// src/worker.ts
import { getHighlighter as _get } from "shiki";
import { runAsWorker } from "synckit";
var highlighter;
async function handler(command, options) {
  if (command === "getHighlighter") {
    highlighter = await _get(options);
  } else {
    const { code, lang, lineOptions, theme } = options;
    const loadedLangs = highlighter.getLoadedLanguages();
    if (!loadedLangs.includes(lang))
      await highlighter.loadLanguage(lang);
    const loadedThemes = highlighter.getLoadedThemes();
    if (!loadedThemes.includes(theme))
      await highlighter.loadTheme(theme);
    return highlighter.codeToHtml(code, {
      lang,
      lineOptions: lineOptions ?? [],
      theme
    });
  }
}
runAsWorker(handler);
